org.apache.maven.monitor.event

## Class DefaultEventDispatcher

- java.lang.Object
- - org.apache.maven.monitor.event.DefaultEventDispatcher

- All Implemented Interfaces:
    EventDispatcher

      public class DefaultEventDispatcher
      extends java.lang.Object
      implements EventDispatcher

  Author:
    jdcasey

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEventDispatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventMonitor(EventMonitor monitor)`
    `void` | `dispatchEnd(java.lang.String event, java.lang.String target)`
    `void` | `dispatchError(java.lang.String event, java.lang.String target, java.lang.Throwable cause)`
    `void` | `dispatchStart(java.lang.String event, java.lang.String target)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEventDispatcher

          public DefaultEventDispatcher()

  - ### Method Detail

    - #### addEventMonitor

          public void addEventMonitor(EventMonitor monitor)

      Specified by:
        `addEventMonitor` in interface `EventDispatcher`

    - #### dispatchStart

          public void dispatchStart(java.lang.String event,
                           java.lang.String target)

      Specified by:
        `dispatchStart` in interface `EventDispatcher`

    - #### dispatchEnd

          public void dispatchEnd(java.lang.String event,
                         java.lang.String target)

      Specified by:
        `dispatchEnd` in interface `EventDispatcher`

    - #### dispatchError

          public void dispatchError(java.lang.String event,
                           java.lang.String target,
                           java.lang.Throwable cause)

      Specified by:
        `dispatchError` in interface `EventDispatcher`